%global srcname flask
%global osrcname Flask

Name:           python-%{srcname}
Version:        0.10.1
Release:        %mkrel 3
Summary:        A microframework based on Werkzeug, Jinja2 and good intentions

Group:          Development/Python
License:        BSD
URL:            http://github.com/mitsuhiko/flask/
Source0:        http://pypi.python.org/packages/source/f/%{srcname}/%{osrcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
A microframework based on Werkzeug, Jinja2 and good intentions

%prep
%setup -q -n %{osrcname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


#rpm fails to package the egg file  from the testsuite
rm -fr %buildroot%{python_sitelib}/%{srcname}/testsuite

%files
%{python_sitelib}/%{osrcname}*
%{python_sitelib}/%{srcname}*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.10.1-3.mga4
+ Revision: 543515
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.10.1-2.mga4
+ Revision: 498610
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 30 2013 neoclust <neoclust> 0.10.1-1.mga4
+ Revision: 460855
- imported package python-flask

